package com.io.yutian.auchestshop;

import com.io.yutian.auchestshop.database.SQLIO;
import com.io.yutian.auchestshop.manager.ShopManager;
import com.io.yutian.aulib.lang.Lang;
import org.bukkit.plugin.java.JavaPlugin;

public class AuChestShop extends JavaPlugin {

    private static AuChestShop instance;

    private static SQLIO sqlIO;
    private static ShopManager shopManager;

    @Override
    public void onEnable() {
        instance = this;

        sqlIO = new SQLIO();
        shopManager = new ShopManager();

        Lang.reload(this);

        try {
            sqlIO.init();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void onDisable() {
        sqlIO.close();
    }

    public static SQLIO getSQLIO() {
        return sqlIO;
    }

    public static ShopManager getShopManager() {
        return shopManager;
    }

    public static AuChestShop inst() {
        return instance;
    }

}
