package com.io.yutian.auchestshop.shop;

import org.bukkit.Location;
import org.bukkit.inventory.ItemStack;

import java.util.Objects;
import java.util.UUID;

public class Shop {

    private final UUID uuid;
    private final Location location;
    private final UUID owner;
    private double price;
    private ShopType shopType;
    private boolean unlimited;
    private ItemStack item;
    private ItemStack originalItem;
    private ItemStack displayItem;

    public Shop(UUID uuid, Location location, UUID owner, double price, ShopType shopType, boolean unlimited, ItemStack item, ItemStack originalItem, ItemStack displayItem) {
        this.uuid = uuid;
        this.location = location;
        this.owner = owner;
        this.price = price;
        this.shopType = shopType;
        this.unlimited = unlimited;
        this.item = item;
        this.originalItem = originalItem;
        this.displayItem = displayItem;
    }

    public UUID getUUID() {
        return uuid;
    }

    public Location getLocation() {
        return location;
    }

    public UUID getOwner() {
        return owner;
    }

    public double getPrice() {
        return price;
    }

    public ShopType getShopType() {
        return shopType;
    }

    public boolean isUnlimited() {
        return unlimited;
    }

    public ItemStack getItem() {
        return item;
    }

    public ItemStack getOriginalItem() {
        return originalItem;
    }

    public ItemStack getDisplayItem() {
        return displayItem;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Shop shop = (Shop) o;
        return Objects.equals(uuid, shop.uuid) && Objects.equals(getOwner(), shop.getOwner());
    }

    @Override
    public int hashCode() {
        int result = Objects.hashCode(uuid);
        result = 31 * result + Objects.hashCode(getOwner());
        return result;
    }
}
